Bug 868316 - pcp-testsuite - test-case 062 - incorrectly determined endian on ppc64
pcp-testsuite - test-case 062 - incorrectly determined endian on ppc64
Status: CLOSED CANTFIX
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: pcp (Show other bugs)
DTS 1.1 RHEL 6
Unspecified Linux
unspecified Severity unspecified
: ---
: 1.1
Assigned To: Nathan Scott
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 09:39 EDT by Tomas Dohnalek
Modified: 2013-02-15 02:30 EST (History)
6 users (show)

See Also:
Fixed In Version: devtoolset-1.1-pcp-3.6.9-2.el[56]
Doc Type: Bug Fix
Doc Text:
No documentation required.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 10:35:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (644 bytes, patch)
2012-10-19 09:39 EDT, Tomas Dohnalek
no flags Details | Diff
Fix the handling of 64 bit big-endian machines in qa/062 (370 bytes, patch)
2012-10-19 18:01 EDT, Nathan Scott
no flags Details | Diff

  None (edit)
Description Tomas Dohnalek 2012-10-19 09:39:34 EDT
Created attachment 630034 [details]
Proposed fix

Description of problem:
In test-case 062 there is perl script 

> endian=`perl -MConfig -e 'print substr $Config{byteorder}, 0, 4''
> if [ "$endian" = "4321" ]
> ...
> elif [ "$endian" = "1234" ]
> ...

used to distinguish between little and big endian, but it fails on ppc64 RHEL6.

Output on ppc64 RHEL6
# perl -MConfig -e 'print substr $Config{byteorder}, 0, 4'
8765
# perl -MConfig -e 'print $Config{byteorder}'
87654321

Version-Release number of selected component (if applicable):
3.6.9-1.el6

How reproducible:
always


Steps to Reproduce:
1. Install devtoolset-1.1.
2. Enable devtoolset-1.1.
3. Run test-case 062.
  
Actual results:


Expected results:


Additional info:
Comment 2 Nathan Scott 2012-10-19 18:01:50 EDT
Created attachment 630266 [details]
Fix the handling of 64 bit big-endian machines in qa/062

This patch modifies Tomas' approach to make it a slightly simpler one-line change.

Note You need to log in before you can comment on or make changes to this bug.